unit URLFormUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TURLForm = class(TForm)
    EditURL: TEdit;
    Label1: TLabel;
    ButtonOK: TButton;
    ButtonCancel: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    URL: string;
  end;

var
  URLForm: TURLForm;

implementation

{$R *.DFM}

procedure TURLForm.FormCreate(Sender: TObject);
begin
   EditURL.Text := URL;
end;

procedure TURLForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   URL := EditURL.Text;
end;

end.
